/* Holder */

#overlays > div
{
    position: fixed;
    left: 0;
    top: 0;
    right: 0;    
    bottom: 0;

    display: flex;
    align-items: center;
    justify-content: center;

    background-color: var(--back2);
}

/* /Holder */


/* Loading */

#loading-overlay
{
    background-image: url(../images/loading.jpg);
    background-position: center;
    background-size: 100vw 100vh;
}

#loading-overlay .spinner-border
{
    margin: 0 auto;
}

@keyframes spin
{
    from
    {
        transform: rotate(0);
    }
    to
    {
        transform: rotate(359deg);
    }
}

.spinner-border
{
    width: 150px;
    height: 150px;
    padding: 3px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    background: rgb(63, 249, 220);
    background: linear-gradient(0deg, rgba(63,249,220,0.0) 33%, rgba(63, 249, 220, 1) 100%);
    animation: spin .8s linear 0s infinite;
}
  
.spinner-core
{
    width: 100%;
    height: 100%;
    border-radius: 50%;

    background-color: var(--back2);
    background-position: center;
    background-size: 100vw 100vh;

    animation: spin .8s linear 0s infinite reverse;
}

#overlays .spinner-core
{
    background-image: url(../images/loading.jpg);
}

/* /Loading */